<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>AdminLTE 3 | Blank Page</title>

    <!-- Google Font: Source Sans Pro -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
    />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css" />
  </head>
  <body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"
              ><i class="fas fa-bars"></i
            ></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="index3.html" class="nav-link">Home</a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Contact</a>
          </li>
        </ul>
      </nav>
      <!-- /.navbar -->

      <!-- Main Sidebar Container -->
      <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="index3.html" class="brand-link">
          <img
            src="dist/img/AdminLTELogo.png"
            alt="AdminLTE Logo"
            class="brand-image img-circle elevation-3"
            style="opacity: 0.8"
          />
          <span class="brand-text font-weight-light">Devcamp 120</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
          <!-- Sidebar user (optional) -->
          <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
              <img
                src="dist/img/user2-160x160.jpg"
                class="img-circle elevation-2"
                alt="User Image"
              />
            </div>
            <div class="info">
              <a href="#" class="d-block">Đinh Nhật Toàn</a>
            </div>
          </div>

          <!-- SidebarSearch Form -->
          <div class="form-inline">
            <div class="input-group" data-widget="sidebar-search">
              <input
                class="form-control form-control-sidebar"
                type="search"
                placeholder="Search"
                aria-label="Search"
              />
              <div class="input-group-append">
                <button class="btn btn-sidebar">
                  <i class="fas fa-search fa-fw"></i>
                </button>
              </div>
            </div>
          </div>

          <!-- Sidebar Menu -->
          <nav class="mt-2">
            <ul
              class="nav nav-pills nav-sidebar flex-column"
              data-widget="treeview"
              role="menu"
              data-accordion="false"
            >
              <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
              <li class="nav-item menu-open">
                <a href="#" class="nav-link active">
                  <i class="nav-icon fas fa-tachometer-alt"></i>
                  <p>
                    Dashboard
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                
                  <li class="nav-item">
                    <a href="voucher.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>voucher</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="menu.html" class="nav-link active">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Menu</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="drink.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Drink</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="country.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Country</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="region.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Region</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="district.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>District</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="user.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>User</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="order.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Order</p>
                    </a>
                  </li>
                </ul>
              </li>
            </ul>
          </nav>
          <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6">
                <h1>Pizza</h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="#">Home</a></li>
                  <li class="breadcrumb-item active">User</li>
                </ol>
              </div>
            </div>
          </div>
          <!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content text-center">
          <div class="container">
            <h2 style="text-align: center;">Quản trị Menu</h2>
            <div class="jumbotron container">
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="Size">Size</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="input-size" name="Size" placeholder="Size"
                  class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="duongKinh">Đường kính</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="input-duongKinh" name="duongKinh" placeholder="Đường kính" class="form-control">
                </div>
              </div>
              <div class="row form-group">
              <div class="col-sm-3">
                <label for="suonNuong">Sườn nướng</label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-suonNuong" name="suonNuong" placeholder="Sườn nướng" class="form-control">
              </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="Salad">Salad</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="input-salad" name="Salad" placeholder="Salad" class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="nuocNgot">Nước ngọt</label>
                </div>
                <div class="col-sm-9">
                  <input type="number" id="input-nuocNgot" name="nuocNgot" placeholder="Nước ngọt" class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="price">Đơn giá</label>
                </div>
                <div class="col-sm-9">
                  <input type="number" id="input-price" name="note" placeholder="price" class="form-control">
                </div>
              </div>
              
              <div class="row pull-right">
                <div class="col-sm-2">
                  <button id="update_data" class="btn btn-info">Update Data</button>
                </div>
                <div class="col-sm-2">
                  <button id="create_data" class="btn btn-success">Create Data</button>
                </div>
              <div class="col-sm-2">
                <button id="delete_data" class="btn btn-danger">Delete Data</button>
              </div>
              <div class="col-sm-2">
                <button id="delete_all_data" class="btn btn-danger">Delete All Data</button>
              </div>
              </div>
            </div>
            <table class="table table-bordered table-striped table-hover" id="user-table">
              <thead>
                <tr>
                  <th>STT</th>
                  <th>Size</th>
                  <th>Đường Kính</th>
                  <th>Sườn nướng</th>
                  <th>Salad</th>
                  <th>Nước ngọt</th>
                  <th>Giá</th>
                </tr>
            </table>
          </div>
        </section>
        <!-- /.content -->
      </div>
      <!-- /.content-wrapper -->

      <footer class="main-footer">
        <div class="float-right d-none d-sm-block"><b>Version</b> 1.0.0</div>
        <strong
          >Copyright &copy; 2023
          <a href="https://adminlte.io">Devcamp 120</a>.</strong
        >
        All rights reserved.
      </footer>
      <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>

    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <script>
      "use strict";
      const gBASE_URL = "http://localhost:8080/menu";
      var gObjectMenu = [];
      var vId = 0;
      var table = $("#user-table").DataTable({
          "columns": [
            {"data":"id"},
            {"data":"size"},
            {"data":"duongkinh"},
            {"data":"suonnuong"},
            {"data":"salad"},
            {"data":"nuocngot"},
            {"data":"dongia"},
          ]
        });
      $(document).ready(function(){
        callApiAllMenu();
        
        $('#user-table').on('click', 'tr', function(){
            vId = $(this).find('td:first').text();
            loadDrinkDataById(vId);
        });
    
        $('#update_data').on('click', function(){
            var vObj ={
              size:"",
              duongkinh:"",
              suonnuong: -1,
              salad:"",
              nuocngot:-1,
              dongia:"",
            }
            getDataForm(vObj);
            getUpdateDataApi(vId, vObj);
            resetForm();
        });
        
        $('#create_data').on('click', function(){
            var vObj ={
              size:"",
              duongkinh:"",
              suonnuong: -1,
              salad:"",
              nuocngot:-1,
              dongia:"",
            }
            getDataForm(vObj);
            var vIsValidate = validateData(vObj);
            if(vIsValidate){
              getCreateDataApi(vObj);
              resetForm();
            }
        });
        
        $('#delete_data').on('click', function(){
          deleteMenuById(vId);
          resetForm();
        });
      
        $('#delete_all_data').on('click', function(){
          deleteAllMenuById();
        });
      });
    
      function callApiAllMenu(){
        $.ajax({
          url: gBASE_URL + "/combo",
          type: "GET",
          dataType: "json",
          success: function(res){
            gObjectMenu= res;
            DisplayOrderToTable(res);
          },
          error: function(err){
            console.log(err.response);
          }
        });
      }
      function loadDrinkDataById(id) {
          fetch(`http://localhost:8080/menu/detail/${id}`)
          .then(response => response.json())
          .then(data => {
            // Hiển thị thông tin Drink lên form
            $('#input-size').val(data.size);
            $('#input-duongKinh').val(data.duongkinh);
            $('#input-suonNuong').val(data.suonnuong);
            $('#input-salad').val(data.salad);
            $('#input-nuocNgot').val(data.nuocngot);
            $('#input-price').val(data.dongia);
          })
          .catch(error => console.error(error));
        }
      function getUpdateDataApi(pId, pObject) {
          $.ajax({
            url: gBASE_URL+ "/update/" + pId,
            type: "PUT",
            contentType: "application/json;charset=UTF-8",
            data: JSON.stringify(pObject),
            success: function(res){
              callApiAllMenu();
            },
            error: function(err){
              console.log(err.responseText);
            }
          });
        }
      function getDataForm(paramObj){
        paramObj.size = $('#input-size').val();
        paramObj.duongkinh = $('#input-duongKinh').val();
        paramObj.suonnuong = $('#input-suonNuong').val();
        paramObj.salad = $('#input-salad').val();
        paramObj.nuocngot = $('#input-nuocNgot').val();
        paramObj.dongia = $('#input-price').val();
      }
      function DisplayOrderToTable(paramData) {
          "use strict";
          $("#user-table").DataTable().clear(); // xóa dữ liệu
          $("#user-table").DataTable().rows.add(paramData); //thêm các dòng dữ liệu vào datatable
          $("#user-table").DataTable().draw(); //vẽ lại bảng
        }
      function getCreateDataApi(pObject) {
        $.ajax({
          url: gBASE_URL + "/create",
          type: "POST",
          contentType: "application/json;charset=UTF-8",
          data: JSON.stringify(pObject),
          success: function(res){
            callApiAllMenu();
          },
          error: function(err){
            console.log(err.responseText);
          }
        });
      }
      function validateData(paramObj){
        if(paramObj.size == ""){
          alert("Bạn chưa điền kích cỡ!");
          return false;
        }
        if(paramObj.duongKinh == ""){
          alert("Bạn chưa điền đường kính!");
          return false;
        }
        if(paramObj.suonNuong == -1){
          alert("Bạn chưa điền sườn nướng");
          return false;
        }
        if(paramObj.salad == ""){
          alert("Bạn chưa điền salad");
          return false;
        }
        if(paramObj.nuocNgot == -1){
          alert("Bạn chưa điền nước ngọt");
          return false;
        }
        if(paramObj.price == ""){
          alert("Bạn chưa điền giá");
          return false;
        }
        return true;
      }
      function resetForm(){
        $('#input-size').val("");
        $('#input-duongKinh').val("");
        $('#input-suonNuong').val("");
        $('#input-salad').val("");
        $('#input-nuocNgot').val("");
        $('#input-price').val("");
      }
      function deleteMenuById(pId) {
        $.ajax({
          url: gBASE_URL + "/delete/" + pId,
          type: "DELETE",
          async: false,
          success: function (paramOrderRes) {
            callApiAllMenu();
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          },
        });
      }
      function deleteAllMenuById() {
        $.ajax({
          url: gBASE_URL + "/deleteAll",
          type: "DELETE",
          async: false,
          success: function (paramOrderRes) {
            callApiAllMenu();
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          },
        });
      }
    </script>
  </body>
</html>
